%define name	psi
%define version	0.14
%define release	%mkrel 1
%define section	Internet/Instant Messaging
%define title	PSI
%define Summary	PSI Jabber client using QT4

%define Werror_cflags %nil
%define otrplugin_version 0.5

Summary:	%Summary
Summary(cs): 	Kecálek pro síť Jabber
Name:		%name
Version:	%version
Release:	%release
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://psi-im.org
Source0:	http://prdownloads.sourceforge.net/psi/%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2
Source2:	%name-smileysets.tar.bz2
Source3:	%name-iconsets.tar.bz2
Source4:        psi-otr-%{otrplugin_version}.tar.bz2
Patch0:         %{name}-0.14-enable_otr.patch
Patch1:         %{name}-0.14-whiteboarding.patch
Patch2:         %{name}-0.14-mpris.patch
Patch3:         %{name}-0.14-sxe-debug.patch
Patch4:         %{name}-0.14-desktop_file.patch
Patch5:         %{name}-0.14-signing-presence-optional.patch
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	qt4-devel 
BuildRequires:  openssl-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libjingle-devel
BuildRequires:  aspell-devel
BuildRequires:  qca2-devel
Requires:	task-qt4
# Language packs
Source50:	psi_pl.qm.bz2
Source51:	psi_sr.qm.bz2
Source52:	psi_fr.qm.bz2
Source53:	psi_eo.qm.bz2
Source54:	psi_sr@Latn.qm.bz2
Source55:	psi_fi.qm.bz2
Source56:	psi_cs.qm.bz2
Source57:	psi_ru.qm.bz2
Source58:	psi_de.qm.bz2
Source59:	psi_es.qm.bz2
Source60:	psi_mk.qm.bz2
Source61:	psi_nl.qm.bz2
Source62:	psi_sk.qm.bz2
Source63:	psi_el.qm.bz2
Source64:	psi_it.qm.bz2
Source65:	psi_se.qm.bz2
Source66:	psi_zh.qm.bz2
Source67:	psi_et.qm.bz2
Source68:	psi_vi.qm.bz2
Source69:	psi_ca.qm.bz2
Source70:	psi_hu.qm.bz2
Source71:	psi_pt.qm.bz2
Source72:	psi_pt_BR.qm.bz2
Source73:	psi_sl.qm.bz2
Source74:	psi_bg.qm.bz2

%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies.
The goal of the Psi project is to create a powerful, yet easy-to-use
Jabber/XMPP client that tries to strictly adhere to the XMPP drafts.and Jabber
JEPs. This means that in most cases, Psi will not implement a feature unless
there is an accepted standard for it in the Jabber community. Doing so ensures
that Psi will be compatible, stable, and predictable, both from an end-user and
developer standpoint.

%description -l cs
Psi je aplikace pro posílání zpráv (IM) v rámci sítě Jabber (což zahrnuje i Google Talk).
Je rychlá a štíhlá, plně otevřená a kompatibilní s Windows, Linuxem a Mac OS X.
S pomocí Psi a jeho podporou pro Unicode a lokalizace, snadné přenosy souborů, nastavitelné sady ikon
a mnoho dalších skvělých vymožeností pochopíte, proč uživatelé na celém světě přecházejí na skutečně
otevřený a svobodný způsob posílání zpráv.
Aby na vás Psi mluvilo vaším rodným jazykem, je třeba nainstalovat balíček psi-i18n.


%package -n %name-iconsets
Summary:	Package with iconsets
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}

%description -n %name-iconsets
This package contain a various iconsets for psi.

%package -n %name-smileysets
Summary:	Package with smileysets
Group:		Networking/Instant messaging
Requires:	%{name} = %{version}

%description -n %name-smileysets
This package contain a various smileysets for psi.

%package -n psi-i18n
Summary: 	Translation packs for Psi IM
Summary(cs): 	Překlady rozhraní kecálku Psi
Group:		Networking/Instant messaging

%description -n psi-i18n
Psi translation packs 

%description -l cs
Překlady rozhraní Psi 

%prep
%setup -q  -n %name-%version
%setup -q -T -D -a1 -a2 -a3 -a4  -n %name-%version
%patch0 -p1
%patch1
%patch2
%patch3
%patch4
%patch5 -p1


%build
export QMAKE_CXXFLAGS="%{optflags}"
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-bundled-qca --enable-plugins --debug --no-separate-debug-info

make %{?jobs:-j%jobs}

pushd psi-otr-%{otrplugin_version}
mv README README.OTR
qmake 
make %{?jobs:-j%jobs}
popd


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

%__cp %{name}-smileysets/* %{buildroot}%{_datadir}/%name/iconsets/emoticons
%__cp %{name}-iconsets/* %{buildroot}%{_datadir}/%name/iconsets/system

# Install language packages
%__bzip2 -dc %{SOURCE50} > %{buildroot}%{_datadir}/%name/%{name}_pl.qm
%__bzip2 -dc %{SOURCE51} > %{buildroot}%{_datadir}/%name/%{name}_sr.qm
%__bzip2 -dc %{SOURCE52} > %{buildroot}%{_datadir}/%name/%{name}_fr.qm
%__bzip2 -dc %{SOURCE53} > %{buildroot}%{_datadir}/%name/%{name}_eo.qm
%__bzip2 -dc %{SOURCE54} > %{buildroot}%{_datadir}/%name/%{name}_sr@Latn.qm
%__bzip2 -dc %{SOURCE55} > %{buildroot}%{_datadir}/%name/%{name}_fi.qm
%__bzip2 -dc %{SOURCE56} > %{buildroot}%{_datadir}/%name/%{name}_cs.qm
%__bzip2 -dc %{SOURCE57} > %{buildroot}%{_datadir}/%name/%{name}_ru.qm
%__bzip2 -dc %{SOURCE58} > %{buildroot}%{_datadir}/%name/%{name}_de.qm
%__bzip2 -dc %{SOURCE59} > %{buildroot}%{_datadir}/%name/%{name}_es.qm
%__bzip2 -dc %{SOURCE60} > %{buildroot}%{_datadir}/%name/%{name}_mk.qm
%__bzip2 -dc %{SOURCE61} > %{buildroot}%{_datadir}/%name/%{name}_nl.qm
%__bzip2 -dc %{SOURCE62} > %{buildroot}%{_datadir}/%name/%{name}_sk.qm
%__bzip2 -dc %{SOURCE63} > %{buildroot}%{_datadir}/%name/%{name}_el.qm
%__bzip2 -dc %{SOURCE64} > %{buildroot}%{_datadir}/%name/%{name}_it.qm
%__bzip2 -dc %{SOURCE65} > %{buildroot}%{_datadir}/%name/%{name}_se.qm
%__bzip2 -dc %{SOURCE66} > %{buildroot}%{_datadir}/%name/%{name}_zh.qm
%__bzip2 -dc %{SOURCE67} > %{buildroot}%{_datadir}/%name/%{name}_et.qm
%__bzip2 -dc %{SOURCE68} > %{buildroot}%{_datadir}/%name/%{name}_vi.qm
%__bzip2 -dc %{SOURCE69} > %{buildroot}%{_datadir}/%name/%{name}_ca.qm
%__bzip2 -dc %{SOURCE70} > %{buildroot}%{_datadir}/%name/%{name}_hu.qm
%__bzip2 -dc %{SOURCE71} > %{buildroot}%{_datadir}/%name/%{name}_pt.qm
%__bzip2 -dc %{SOURCE72} > %{buildroot}%{_datadir}/%name/%{name}_pt_BR.qm
%__bzip2 -dc %{SOURCE73} > %{buildroot}%{_datadir}/%name/%{name}_sl.qm
%__bzip2 -dc %{SOURCE74} > %{buildroot}%{_datadir}/%name/%{name}_bg.qm


mkdir -p %{buildroot}%{_libdir}/%{name}/plugins
install -m 0644 psi-otr-%{otrplugin_version}/libpsi-otr.so  %{buildroot}%{_libdir}/%{name}/plugins/

# Menu
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



# icons
%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%files 
%defattr(0755,root,root,0755)
%{_bindir}/*
%defattr(0644,root,root,0755)
%doc README COPYING
%exclude %{_datadir}/%name/README
%exclude %{_datadir}/%name/COPYING
%dir %{_datadir}/%{name}
# certs
%dir %{_datadir}/%{name}/certs
%{_datadir}/%{name}/certs/*
# iconsets
%dir %{_datadir}/%{name}/iconsets
%dir %{_datadir}/%{name}/iconsets/system
%dir %{_datadir}/%{name}/iconsets/system/default
# system
%{_datadir}/%{name}/iconsets/system/README
#%{_datadir}/%{name}/iconsets/system/crystal_system.jisp
%{_datadir}/%{name}/iconsets/system/default/*
# roster
%dir %{_datadir}/%{name}/iconsets/roster
%{_datadir}/%{name}/iconsets/roster/*
# emoticons
%dir %{_datadir}/%{name}/iconsets/emoticons
%dir %{_datadir}/%{name}/iconsets/emoticons/default
%{_datadir}/%{name}/iconsets/emoticons/default/*
# sound
%dir %{_datadir}/%{name}/sound
%{_datadir}/%{name}/sound/*
# menu and icons
%{_datadir}/applications/psi.desktop
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*
%_libdir/psi/plugins/libpsi-otr.so


%files -n %name-iconsets
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/iconsets/system/amibulb.jisp 
%{_datadir}/%{name}/iconsets/system/amiglobe.jisp
%{_datadir}/%{name}/iconsets/system/berlin-icq.jisp
%{_datadir}/%{name}/iconsets/system/berlin.jisp
%{_datadir}/%{name}/iconsets/system/chrome.jisp
%{_datadir}/%{name}/iconsets/system/dudes.jisp
%{_datadir}/%{name}/iconsets/system/dudes2.jisp
%{_datadir}/%{name}/iconsets/system/email.jisp
%{_datadir}/%{name}/iconsets/system/gothRoster.jisp
%{_datadir}/%{name}/iconsets/system/individual.jisp
%{_datadir}/%{name}/iconsets/system/kitty.jisp
%{_datadir}/%{name}/iconsets/system/lightbulb.jisp
%{_datadir}/%{name}/iconsets/system/msn6.jisp
%{_datadir}/%{name}/iconsets/system/neos.jisp
%{_datadir}/%{name}/iconsets/system/speechbubbles.jisp
%{_datadir}/%{name}/iconsets/system/stellar.jisp

%files -n %name-smileysets
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/iconsets/emoticons/AIM.jisp
%{_datadir}/%{name}/iconsets/emoticons/Chibi.jisp
%{_datadir}/%{name}/iconsets/emoticons/JIM.jisp
%{_datadir}/%{name}/iconsets/emoticons/KMess-Cartoon-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/Ninja.jisp
%{_datadir}/%{name}/iconsets/emoticons/Taryn.jisp
%{_datadir}/%{name}/iconsets/emoticons/apple_ichat-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/critters-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/gadu-gadu.jisp
%{_datadir}/%{name}/iconsets/emoticons/icq-2002a.jisp
%{_datadir}/%{name}/iconsets/emoticons/ikonboard-3.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/invision_board-1.0.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/kreativ_squareheads.jisp
%{_datadir}/%{name}/iconsets/emoticons/megapack-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/msn.jisp
%{_datadir}/%{name}/iconsets/emoticons/patricks_faces-1.0.jisp
%{_datadir}/%{name}/iconsets/emoticons/shinyicons.jisp
%{_datadir}/%{name}/iconsets/emoticons/tlen.pl-3.73.jisp
%{_datadir}/%{name}/iconsets/emoticons/trill-basic-smileys.jisp
%{_datadir}/%{name}/iconsets/emoticons/webmessenger.jisp
%{_datadir}/%{name}/iconsets/emoticons/wpkontakt-2.4.1.jisp
%{_datadir}/%{name}/iconsets/emoticons/yahoo_messenger.jisp

%files -n psi-i18n
%defattr(-,root,root)
%{_datadir}/%name/%{name}_pl.qm
%{_datadir}/%name/%{name}_sr.qm
%{_datadir}/%name/%{name}_fr.qm
%{_datadir}/%name/%{name}_eo.qm
%{_datadir}/%name/%{name}_sr@Latn.qm
%{_datadir}/%name/%{name}_fi.qm
%{_datadir}/%name/%{name}_cs.qm
%{_datadir}/%name/%{name}_ru.qm
%{_datadir}/%name/%{name}_de.qm
%{_datadir}/%name/%{name}_es.qm
%{_datadir}/%name/%{name}_mk.qm
%{_datadir}/%name/%{name}_nl.qm
%{_datadir}/%name/%{name}_sk.qm
%{_datadir}/%name/%{name}_el.qm
%{_datadir}/%name/%{name}_it.qm
%{_datadir}/%name/%{name}_se.qm
%{_datadir}/%name/%{name}_zh.qm
%{_datadir}/%name/%{name}_et.qm
%{_datadir}/%name/%{name}_vi.qm
%{_datadir}/%name/%{name}_ca.qm
%{_datadir}/%name/%{name}_hu.qm
%{_datadir}/%name/%{name}_pt.qm
%{_datadir}/%name/%{name}_pt_BR.qm
%{_datadir}/%name/%{name}_sl.qm
%{_datadir}/%name/%{name}_bg.qm

%changelog
* Wed Dec 15 2010 Texstar <texstar at gmail.com> 0.14-1pclos2010
- 0.14

* Fri May 01 2009 johnnyblack <johnnyblack@inbox.com> 0.12.1-1pclos2009
- 0.12.1

* Sat Mar 01 2008 David Smid <david@smidovi.eu> 0.11-2pclos
- Fixed SPEC using tips from Santa's Helpers

* Fri Feb 29 2008 David Smid <david@smidovi.eu> 0.11-1pclos
- Initial build
